#include <stdio.h>
#include <stdlib.h>
int provera(int n, int niz[n], int levi, int desni)
{
    levi--;
    desni--;

    if(desni - levi <= 2)
    {
        return 1;
    }
    int br = 0, pom = 0;
    for(int i = levi; i < desni; i++)
    {
        if(br == 2)
        {
            return 0;
        }

        if((niz[i]>niz[i+1]))
        {
            br++;
        }
    }
    return 1;
}

int main()
{
    int n, q, lev, des;
    scanf("%d", &n);
    int niz[n];
    for(int i = 0; i < n; i++)
    {
        scanf("%d", &niz[i]);
    }
    scanf("%d", &q);
    int niz1[q];
    for(int i = 0; i < q; i++)
    {
        scanf("%d%d", &lev, &des);
        niz1[i] = provera(n, niz, lev, des);
    }
    for(int i = 0; i < q; i++)
    {
        if(niz1[i] == 1)
        {
            printf("DA\n");
        }
        else
        {
            printf("NEs\n");
        }
}}